ScenebrewDevelopers
API referenceLibrary

List Recipes

GET
/v1/projects/{project_id}/recipes

The project's recipes, most recently changed first. Filters: q, tags, type, category, design_id. Requires the read scope.

AuthorizationBearer <token>

First-party API key (sbk_live_…), presented as a Bearer token.

In: header

Path Parameters

project_id*Project Id
Formatuuid

Query Parameters

q?|

Name search.

tags?array<string>|null
type?string|null
category?string|null
theme_id?|null
design_id?|null
recipe_id?|null
limit?Limit

Items per page

Range1 <= value <= 100
Default20
cursor?|

The next_cursor of the previous page; omit for the first page.

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/recipes"
{  "items": [    {      "name": "string",      "description": "string",      "tags": [],      "metadata": {},      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "slug": "string",      "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",      "thumbnail_url": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "operator": "string",      "operator_version": "string",      "parameters": {},      "assets": {},      "type": "string",      "asset_ids": [],      "asset_count": 0    }  ],  "next_cursor": "string",  "total": 0}